Skip to main content
POST
/
api
/
mcap
/
{ingest_id}
/
process
Process MCAP ingest
curl --request POST \
  --url https://api-prod.nomadicml.com/api/mcap/{ingest_id}/process \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "front_channel": "<string>",
  "channel_roles": {},
  "channel_labels": {}
}
'
{
  "mcap_ingest_id": "<string>",
  "status": "<string>",
  "derived_videos": [
    {}
  ],
  "views": {},
  "primary_view_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Path Parameters

ingest_id
string
required

MCAP ingest identifier.

Body

application/json
front_channel
string
channel_roles
object
channel_labels
object

Response

Successful response.

mcap_ingest_id
string
status
string
derived_videos
object[]
views
object
primary_view_id
string